Subject: bug#35629: closed (Re: bug#35629: 27.0.50; version-to-list fails on Cygwin gpg2 version string)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 27 Aug 2019 14:51:02 +0000

Your bug report

#35629: 27.0.50; version-to-list fails on Cygwin gpg2 version string

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35629: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35629
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35629: 27.0.50; version-to-list fails on Cygwin gpg2 version string
From: Kazuhiro Ito <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Tue, 27 Aug 2019 23:50:39 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

> > Modifying version-regexp-alist variable resolves the issue.
> >
> > ;; I don't know meaning of "-unknown" version, so I don't know whether
> > ;; "-4" is apropriate value.
> > (progn (add-to-list 'version-regexp-alist
> > 		    '("^[-._+ ]?unknown$" . -4))
> >        (epg-find-configuration 'OpenPGP t))
> > -> ((program . "/usr/bin/gpg2")
> 
> I've now done something similar, but only in `epg-find-configuration',
> because this seems to be a problem in the gpg2 config scripts.
> 
> Could you test the trunk now and see whether it fixes your problem?

The problem is fixed.  Thank you.

-- 
Kazuhiro Ito

Subject: 27.0.50; version-to-list fails on Cygwin gpg2 version string
From: Kazuhiro Ito <[email-masked]>
To: [email-masked]
Date: Wed, 08 May 2019 17:23:48 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Cygwin's gpg2 has "-unknown" suffix in version string.

> $ gpg2 --version
>
> gpg (GnuPG) 2.2.15-unknown
> ...

version-to-list function fails to parse this version string and
epg-find-configuration can't find gpg2 as supported one.

(epg-find-configuration 'OpenPGP t)
-> ((program . "/usr/bin/gpg")
 (compress 0 1 2 3)
 (digestname . "MD5;SHA1;RIPEMD160;SHA256;SHA384;SHA512;SHA224")
 (digest 1 2 3 8 9 10 11)
 (ciphername . "IDEA;3DES;CAST5;BLOWFISH;AES;AES192;AES256;TWOFISH;CAMELLIA128;CAMELLIA192;CAMELLIA256")
 (cipher 1 2 3 4 7 8 9 10 11 12 13)
 (pubkey 1 2 3 16 17)
 (version . "1.4.23"))
 
Modifying version-regexp-alist variable resolves the issue.

;; I don't know meaning of "-unknown" version, so I don't know whether
;; "-4" is apropriate value.
(progn (add-to-list 'version-regexp-alist
		    '("^[-._+ ]?unknown$" . -4))
       (epg-find-configuration 'OpenPGP t))
-> ((program . "/usr/bin/gpg2")
 (curve . "cv25519;ed25519;nistp256;nistp384;nistp521;secp256k1")
 (compressname . "Uncompressed;ZIP;ZLIB;BZIP2")
 (compress 0 1 2 3)
 (digestname . "SHA1;RIPEMD160;SHA256;SHA384;SHA512;SHA224")
 (digest 2 3 8 9 10 11)
 (ciphername . "IDEA;3DES;CAST5;BLOWFISH;AES;AES192;AES256;TWOFISH;CAMELLIA128;CAMELLIA192;CAMELLIA256")
 (cipher 1 2 3 4 7 8 9 10 11 12 13)
 (pubkeyname . "RSA;ELG;DSA;ECDH;ECDSA;EDDSA")
 (pubkey 1 16 17 18 19 22)
 (version . "2.2.15-unknown"))

-- 
Kazuhiri Ito